% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/vi_pdp.R
\name{vi_pdp}
\alias{vi_pdp}
\alias{vi_pdp.default}
\title{PDP-Based Variable Importance}
\usage{
vi_pdp(object, ...)

\method{vi_pdp}{default}(object, feature_names, FUN = NULL, ...)
}
\arguments{
\item{object}{A fitted model object (e.g., a \code{"randomForest"} object).}

\item{...}{Additional optional arguments to be passed onto
\code{\link[pdp]{partial}}.}

\item{feature_names}{Character string giving the names of the predictor
variables (i.e., features) of interest.}

\item{FUN}{List with two componenets, \code{"cat"} and \code{"con"},
containing the functions to use for categorical and continuous features,
respectively. If \code{NULL}, the standard deviation is used for continuous
features. For categorical features, the range statistic is used (i.e.,
(max - min) / 4).}
}
\value{
A tidy data frame (i.e., a \code{"tibble"} object) with two columns,
\code{Variable} and \code{Importance}, containing the variable name and its
associated importance score, respectively.
}
\description{
Compute PDP-based variable importance scores for the predictors in a model.
(This function is meant for internal use only.)
}
\details{
Coming soon!
}
